Skip to Content

Buckets

S3-compatible object storage powered by MinIO, deployed as containers on your servers.

Endpoints

MethodPathDescription
GET/api/v1/bucketsList buckets (?projectId=)
POST/api/v1/bucketsCreate bucket
GET/api/v1/buckets/:idGet bucket
PUT/api/v1/buckets/:idUpdate bucket
DELETE/api/v1/buckets/:idDelete bucket

Lifecycle

MethodPathDescription
POST/api/v1/buckets/:id/startStart
POST/api/v1/buckets/:id/stopStop
POST/api/v1/buckets/:id/restartRestart

Info

MethodPathDescription
GET/api/v1/buckets/:id/credentialsGet S3-compatible credentials
GET/api/v1/buckets/:id/storageGet storage usage
GET/api/v1/buckets/:id/dependenciesGet dependencies

Backups

MethodPathDescription
GET/api/v1/buckets/:id/backupsList backups
POST/api/v1/buckets/:id/backupsTrigger backup
POST/api/v1/buckets/:id/restoreRestore from backup

POST /api/v1/buckets

{ "project_id": "uuid", "environment_id": "uuid", "server_id": "uuid", "name": "media-storage", "bucket_name": "media", "backup_enabled": true, "backup_destination_id": "uuid", "backup_interval_mins": 60 }
Last updated on